# frozen_string_literal: true

describe DependabotController, :integration, type: :request, epic: :controllers, feature: "index page" do
  include_context "with api helper"

  let(:project) { create(:project_with_mr) }
  let(:config_entry) { updates_config.first }

  before do
    # mock return value in order to not fetch all projects generated by tests
    allow(Project).to receive_message_chain("not.order").and_return([project]) # rubocop:disable RSpec/MessageChain
  end

  it "returns index page", :aggregate_failures do
    get("/")

    expect_status(200)
    expect(response.body).to include(project.name)
  end
end
